## ceph 10.2.3

=== debian/changelog ===
ceph (10.2.3-0ubuntu2) yakkety; urgency=medium

  * d/control: Add Pre-Depends on ceph-common to ceph-osd to ensure
    that ceph user and group are created prior to unpacking of udev
    rules (LP: #1631328).
  * d/control: Drop surplus Recommends on ceph-common for ceph-mon, as
    it already has a in-direct Depends via ceph-base.

 -- James Page <james.page@ubuntu.com>  Sat, 08 Oct 2016 16:16:00 +0100

ceph (10.2.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release (LP: #1628809):
    - d/p/rocksdb-flags.patch: Dropped, included upstream.
    - d/p/*: Refreshed.
    - d/p/32bit-ftbfs.patch: Cherry pick fix for 32bit arch compat.
    - d/ceph-{fs-common,fuse}.install: Fix install locations
      for mount{.fuse}.ceph.
  * Limit the amount of data per chunk in omap push operations to 64k,
    ensuring that OSD threads don't hit timeouts during recovery
    operations (LP: #1628750):
    - d/p/osd-limit-omap-data-in-push-op.patch: Cherry pick fix from
      upstream master branch.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Sep 2016 21:44:33 +0100

ceph (10.2.2-0ubuntu5) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:13:41 +0000

ceph (10.2.2-0ubuntu4) yakkety; urgency=medium

  * d/rules: Drop override_dh_strip from .PHONY to ensure files actually
    get stripped.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Jul 2016 09:26:41 +0100

ceph (10.2.2-0ubuntu3) yakkety; urgency=medium

  * d/rules,control: Drop -dbg packages and let Ubuntu builds take care of
    ddeb generation instead.
  * d/ceph-mon.install: Only install .py files for ceph_rest_api module.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jul 2016 10:36:32 +0100

ceph (10.2.2-0ubuntu2) yakkety; urgency=medium

  * d/ceph.install,d/etc/*: Drop pm based power management scripts as they
    are not used under systemd (LP: #1455097).
  * d/*: Split ceph-osd and ceph-mon into separate binary packages and add
    new ceph-base binary package inline with upstream packaging changes
    (LP: #1596063).
  * d/rules,*.{postinst,prerm}: Drop install and management of upstart
    configuration files; this package version onwards will only ever
    target >= Xenial, which is a systemd baseline.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jul 2016 10:51:10 +0100

ceph (10.2.2-0ubuntu1) yakkety; urgency=medium

  * New upstream version (LP: #1585660):
    - d/ceph.install: Drop install of 60-ceph-partuuid-workaround.rules
      as no longer part of upstream codebase.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jun 2016 17:40:04 +0100

ceph (10.2.1-0ubuntu2) yakkety; urgency=medium

  * d/ceph-common.{preinst,postinst,postrm}: Ensure that rename of
    /etc/default/ceph/ceph -> /etc/default/ceph is handled correctly
    and that any end-user changes are preserved (LP: #1587516).

 -- James Page <james.page@ubuntu.com>  Mon, 13 Jun 2016 20:53:52 +0100

ceph (10.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream version (LP: #1585660).
    - d/p/drop-user-group-osd-prestart.patch: Dropped, included upstream.
  * d/rules,ceph-common.install: Ensure that /etc/default/ceph is a file
    and not a directory (LP: #1587516).

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 09:23:35 +0100

ceph (10.2.0-0ubuntu1) yakkety; urgency=medium

  * Ceph Jewel stable release (LP: #1569249).

 -- James Page <james.page@ubuntu.com>  Thu, 21 Apr 2016 19:54:54 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# Limit parallel builds to 2 for now

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export JAVA_HOME=/usr/lib/jvm/default-java
## Set JAVAC to prevent FTBFS due to incorrect use of 'gcj' if found (see "m4/ac_prog_javac.m4").
export JAVAC=javac

extraopts += --disable-silent-rules
extraopts += --with-ocf --with-nss
extraopts += --with-debug
extraopts += --enable-cephfs-java
extraopts += --with-babeltrace
## do not build with lttng just yet, see #765842.
extraopts += --without-lttng

# rocksdb is not packaged by anyone.  build it if we can.
extraopts += --with-librocksdb-static=check

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

# Only selected architectures support gperftools
gperftools_archs = i386 amd64 powerpc armhf ppc64el arm64
ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
  extraopts += --with-tcmalloc
else
  extraopts += --without-tcmalloc
endif

# Setup max parallel builds based on architecture
ifeq ($(DEB_HOST_ARCH), arm64)
  maxparallel=1
else
  maxparallel=2
endif

# Use system provided libs3
extraopts += --with-system-libs3

%:
	dh $@ --with javahelper,python2,autoreconf,systemd --parallel --max-parallel=$(maxparallel)

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

override_dh_auto_configure:
	dh_auto_configure -- $(extraopts)

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	# NOTE: manually install python modules to avoid virtualenvs
	#       during the package build process.
	set -e; for comp in ceph-detect-init ceph-disk; do \
		(set -e; cd src/$$comp; python setup.py install --root=$(CURDIR)/debian/tmp \
			--install-script=/usr/sbin --install-layout=deb); \
	done
	# NOTE: ensure that any versioned erasure coding test code is dropped
	#       from the package install - package ships unversioned modules.
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code/libec_*.so.*
	find $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code -type l -delete || :
	install -D -m 644 src/etc-rbdmap $(CURDIR)/debian/tmp/etc/ceph/rbdmap

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit -pceph-common --name=rbdmap --no-start
	dh_installinit -pceph-base --name ceph --no-start
	# install the systemd stuff manually since we have funny service names
	# and need to update the paths in all of the files post install
	# systemd:ceph-common
	install -d -m0755 debian/ceph-common/lib/systemd/system
	install -m0644 systemd/ceph.target debian/ceph-common/lib/systemd/system
	install -d -m0755 debian/ceph-common/usr/lib/tmpfiles.d
	install -m 0644 -D systemd/ceph.tmpfiles.d debian/ceph-common/usr/lib/tmpfiles.d/ceph.conf
	# systemd:ceph
	install -d -m0755 debian/ceph-base/lib/systemd/system
	install -d -m0755 debian/ceph-mon/lib/systemd/system
	install -d -m0755 debian/ceph-osd/lib/systemd/system
	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
	install -m0644 systemd/ceph-osd@.service debian/ceph-osd/lib/systemd/system
	install -m0644 systemd/ceph-disk@.service debian/ceph-osd/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-osd@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-disk@.service
	# NOTE(jamespage): Install previous ceph-mon/create-keys service from packaging for upgrades
	install -m0644 debian/lib-systemd/system/ceph-mon.service debian/ceph-mon/lib/systemd/system
	install -m0644 debian/lib-systemd/system/ceph-create-keys.service debian/ceph-base/lib/systemd/system
	# systemd:ceph-mds
	install -d -m0755 debian/ceph-mds/lib/systemd/system
	install -m0644 systemd/ceph-mds@.service debian/ceph-mds/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mds/lib/systemd/system/ceph-mds@.service
	# NOTE(jamespage): Install previous ceph-mds service from packaging for upgrades
	install -m0644 debian/lib-systemd/system/ceph-mds.service debian/ceph-mds/lib/systemd/system
	# systemd:radosgw
	install -d -m0755 debian/radosgw/lib/systemd/system
	install -m0644 systemd/ceph-radosgw@.service debian/radosgw/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/radosgw/lib/systemd/system/ceph-radosgw@.service
	# systemd:rbd-mirror
	install -d -m0755 debian/rbd-mirror/lib/systemd/system
	install -m0644 systemd/ceph-rbd-mirror@.service debian/rbd-mirror/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/rbd-mirror/lib/systemd/system/ceph-rbd-mirror@.service

override_dh_systemd_enable:
	## Do not enable services to match `dh_installinit --no-start`
	## behaviour.
	## Users are expected to "systemctl enable" services once their
	## configuration is correct.

override_dh_systemd_start:
	## Do not start services to match `dh_installinit --no-start`
	## behaviour.
	## Users are expected to "systemctl start" services once their
	## configuration is correct or after package updates.

override_dh_makeshlibs:
	# exclude jni libraries in libcephfs-jni to avoid pointless ldconfig
	# calls in maintainer scripts; exclude private erasure-code plugins.
	dh_makeshlibs -V -X/usr/lib/jni -X/usr/lib/$(DEB_HOST_MULTIARCH)/ceph/erasure-code

override_dh_auto_test:
	-dh_auto_test -v || cat src/test-suite.log

.PHONY: override_dh_auto_configure override_dh_installinit override_dh_makeshlibs override_dh_auto_test

## ceph 10.2.4

=== doc/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ceph
pkgincludedir = $(includedir)/ceph
pkglibdir = $(libdir)/ceph
pkglibexecdir = $(libexecdir)/ceph
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_check_classpath.m4 \
	$(top_srcdir)/m4/ac_prog_jar.m4 \
	$(top_srcdir)/m4/ac_prog_javac.m4 \
	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
	$(top_srcdir)/m4/ac_prog_javah.m4 \
	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/ax_arm.m4 \
	$(top_srcdir)/m4/ax_c_pretty_func.m4 \
	$(top_srcdir)/m4/ax_c_var_func.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/m4/ax_cxx_static_cast.m4 \
	$(top_srcdir)/m4/ax_intel.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/acconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_CXXFLAGS =  -I/usr/include/nss -I/usr/include/nspr 
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARM_FLAGS = 
ARM_NEON_FLAGS = 
AUTOCONF = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing automake-1.15
AWK = gawk
BOOST_PROGRAM_OPTIONS_LIBS = -lboost_program_options 
BOOST_RANDOM_LIBS = -lboost_random 
BOOST_REGEX_LIBS = -lboost_regex 
BOOST_THREAD_LIBS = -lboost_thread 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS =  -Wno-unused-parameter
CCDEPMODE = depmode=gcc3
CFLAGS = -D_LARGEFILE64_SOURCE  -Wno-unused-parameter
CPP = gcc -E
CPPFLAGS = 
CRYPTOPP_CFLAGS = 
CRYPTOPP_LIBS = 
CRYPTO_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
CRYPTO_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =   -Wno-unused-parameter -std=gnu++11
CYGPATH_W = echo
CYTHON_CHECK = yes
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTRA_CLASSPATH_JAR = 
FGREP = /bin/grep -F
GCOV_PREFIX_STRIP = 6
GIT_CHECK = yes
GREP = /bin/grep
HAVE_CXX11 = 1
HAVE_VALGRIND = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTEL_FLAGS =  -msse -DINTEL_SSE -msse2 -DINTEL_SSE2 -msse3 -DINTEL_SSE3 -mssse3 -DINTEL_SSSE3 -mpclmul -DINTEL_SSE4_PCLMUL -msse4.1 -DINTEL_SSE4 -msse4.2 -DINTEL_SSE4
INTEL_PCLMUL_FLAGS = -mpclmul -DINTEL_SSE4_PCLMUL
INTEL_SSE2_FLAGS = -msse2 -DINTEL_SSE2
INTEL_SSE3_FLAGS = -msse3 -DINTEL_SSE3
INTEL_SSE4_1_FLAGS = -msse4.1 -DINTEL_SSE4
INTEL_SSE4_2_FLAGS = -msse4.2 -DINTEL_SSE4
INTEL_SSE_FLAGS = -msse -DINTEL_SSE
INTEL_SSSE3_FLAGS = -mssse3 -DINTEL_SSSE3
JAR = 
JAVAC = 
JAVAH = 
JDK_CPPFLAGS = 
KEYUTILS_LIB = -lkeyutils
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDPDK_CFLAGS = 
LIBDPDK_LIBS = 
LIBFUSE_CFLAGS = -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse
LIBFUSE_LIBS = -lfuse -pthread
LIBJEMALLOC = 
LIBOBJS = 
LIBPCIACCESS_CFLAGS = 
LIBPCIACCESS_LIBS = 
LIBROCKSDB_CFLAGS = 
LIBROCKSDB_LIBS = 
LIBS = -lboost_iostreams -lboost_system 
LIBTCMALLOC = -ltcmalloc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBZFS_CFLAGS = 
LIBZFS_LIBS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LTTNG_GEN_TP_CHECK = 
LTTNG_GEN_TP_PROG = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NSS_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
NSS_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ceph
PACKAGE_BUGREPORT = ceph-devel@vger.kernel.org
PACKAGE_NAME = ceph
PACKAGE_STRING = ceph 10.2.4
PACKAGE_TARNAME = ceph
PACKAGE_URL = 
PACKAGE_VERSION = 10.2.4
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS =  -lpthread
PYTHON = /usr/bin/python
PYTHON_CFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7  -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security  -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes
PYTHON_CONFIG_CHECK = yes
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LDFLAGS = -L/usr/lib/python2.7/config-x86_64-linux-gnu -L/usr/lib -lpython2.7 -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
RDYNAMIC_FLAG = -rdynamic
RESOLV_LIBS = -lresolv
RPM_RELEASE = 0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = sphinx-build
STRIP = strip
VERSION = 10.2.4
WARN_ERROR_FORMAT_SECURITY = -Werror=format-security
WARN_IGNORED_QUALIFIERS = -Wignored-qualifiers
WARN_TYPE_LIMITS = -Wtype-limits
XIO_LIBS = 
YASM_CHECK = yes
abs_builddir = /home/jenkins-build/build/workspace/ceph-setup/doc
abs_srcdir = /home/jenkins-build/build/workspace/ceph-setup/doc
abs_top_builddir = /home/jenkins-build/build/workspace/ceph-setup
abs_top_srcdir = /home/jenkins-build/build/workspace/ceph-setup
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ceph
pkgpythondir = ${pythondir}/ceph
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/dist-packages
pythondir = ${prefix}/lib/python2.7/dist-packages
runstatedir = ${localstatedir}/run
sbindir = /sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  src/gmock
sysconfdir = /etc
systemd_unit_dir = /lib/systemd/system
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
	man \
	api \
	architecture.rst \
	cephfs \
	conf.py \
	dev \
	favicon.ico \
	glossary.rst /

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

## ceph 10.2.5

=== debian/changelog ===
ceph (10.2.5-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [ff97be] Don't specify unsupported option --no-parallel

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 20 Jan 2017 17:12:00 +0100

ceph (10.2.5-6) unstable; urgency=medium

  * [e44a30] Disable running dh_auto_install with parallel jobs
    (Closes: #850906)
  * [b7e926] Link with libatomic and --as-needed on all archs (Closes: #850831)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed, 11 Jan 2017 12:02:24 +0100

ceph (10.2.5-5) unstable; urgency=medium

  * [f4675d] Set _FILE_OFFSET_BITS=64 via DEB_CPPFLAGS_MAINT_APPEND
  * [f60392] Install systemd targets for ceph services (Closes: #850509)
  * [d3baba] Link with -latomic on mips/mipsel

 -- Gaudenz Steinlin <gaudenz@debian.org>  Tue, 10 Jan 2017 09:04:48 +0100

ceph (10.2.5-4) unstable; urgency=medium

  * [88034c] Build with ggc-min-expand=5 on mips/el (Closes: #849657)
  * [c31e79] Add patch to build rocksdb with -latomic on mips/el
  * [182dd8] NEWS entry about upgrades from Debian Jessie

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 08 Jan 2017 21:34:21 +0100

ceph (10.2.5-3) unstable; urgency=medium

  * [eeff8d] Use -mfloat-abi=softfp on armel for NEON plugin (Closes: #849660)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 05 Jan 2017 09:18:41 +0100

ceph (10.2.5-2) unstable; urgency=medium

  * [3859ca] Only list missing files instead of failing (Closes: #849031)
  * [47aef7] Remove chrony from recommends (provides time-daemon)
    (Closes: #827673)
  * [3e96e6] Upstream fix for CVE-2016-9579 (short CORS request)
    (Closes: #849048)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 24 Dec 2016 13:14:28 +0100

ceph (10.2.5-1) unstable; urgency=medium

  [ James Page ]
  * [754935] Imported Upstream version 9.2.0
    - [df85c3] Resync relevant packaging changes with upstream.
    - [be5f82] Refresh patches.
    - [d1f3fe] Add python-setuptools to BD's for ceph-detect-init.
    - [b2f926] Add lsb-release to BD's to ensure that python modules are
               installed to correct locations.
    - [e4d702] Add python-sphinx to BD's to ensure man pages get generated
               and installed.
    - [3ead6e] Correct install location for ceph-monstore-update tool.
    - [269754] [177b7a] Update symbols for new release.
  * [4c45629] Update NEWS file for infernalis changes.
  * [940491e] Limit number of parallel builds to 2 to reduce memory footprint
              on builders.
  * [a2bed4] New upstream version 10.2.5
  * [cbfb6b] Sync upstream changes around rbdmap install and conf files.
  * [5c52b2] Drop patches include upstream, refresh remaining patches
  * [8f9820] Resync further packaging changes from upstream.
  * [27d010] Re-add bz2-dev BD.
  * [e94aa2] Add python-dev to BD's.
  * [e201c1] d/p/pybind-flags.patch: Ensure that cython *FLAGS are correctly
             set.
  * [14cd12] d/p/fix-systemd-escaping.patch: Ensure that leading '/' is stripped
             from block device paths when escaping for use in systemd unit
             names.
  * [33b3aa] Add pull request for systemd fixes
  * [d781a2] d/ceph-mds.postinst: Fix syntax error.
  * [ce55ec] Ensure that python flags are correct set for cython rbd build.
  * [f9e35b] Switch rbd python binding to cython
  * [8ccae0] Drop ceph_volume_client until its actually in the codebase.
  * [0a11cc] Install to relative, not absolute /etc/ceph.
  * [e2415a] Drop ceph-bluefs-tool from ceph package.
  * [b16966] d/ceph-mds.dirs: Actually create /var/lib/ceph/mds prior to
             changing permissions (LP: #1544647).
  * [0c1201] d/ceph.init: Restore link to init-ceph, resolving un-install
             failures due to missing init script (LP: #1546112).

  [ Gaudenz Steinlin ]
  * [e3cb86] Remove no longer needed check for dh-autoreconf>=6
  * [9157b3] Install ceph-brag tool into ceph-common
  * [74e9f3] Install ceph-client-debug into ceph-test
  * [476449] Use jh_installlib to install Java libraries
  * [643f6e] Don't remove configure script on dh_clean
  * [4bb203] Remove *.la files to binary packages
  * [b76c6a] Add build dependency on libboost-iostreams-dev
  * [b0506f] Add build dependency on libldap2-dev
  * [526ce1] Refresh patches for upstream version 10.2.2
  * [cf539b] Remove patches applied upstream in 10.2.2

  [ James Page ]
  * [646b48] Add librgw2 binary packages.
  * [ae3cda] Drop virtualenv from BD's.
  * [7ebd7c] Re-enable rocksdb build for bluestore support
  * [e393e5] Add rbd-mirror package
  * [00d06d] Add patch to set g++ flags correctly for rocksdb
  * [3b029a] Enable gperftools on arm64 architecture.
  * [e88620] Add ceph-bluefs-tool to install.
  * [4f40a1] Add s390x to list of rocksdb flags
  * [858334] d/p/skip-setup.py-makefiles.patch,rules: Avoid use of virtualenv to
             install ceph-disk and ceph-detect-init python modules.
  * [40c3b7] Update watch file to scan for gz files.
  * [49b716] Install librgw_file* as part of ceph-test package.

  [ Gaudenz Steinlin ]
  * [2e156d] d/rules: Install upstart and systemd configurations for rbd-mirror.

  [ James Page ]
  * [ca0b07] d/copyright: Ensure that jerasure and gf-complete are not stripped
             from the upstream release tarball.
  * [eee861] d/p/disable-openssl-linking.patch: Disable build time linking with
             OpenSSL due to licensing incompatibilities.
  * [07d7a6] d/*.symbols: Add new symbols for RC.
  * [2416f1] Fix multiarch paths for librgw
  * [2da01d] d/rules: Ensure that dh_systemd_start does not insert maintainer
             script snippets for ceph-mon and ceph-create-keys - service restart
             should be handled outside of the packaging as it is under upstart
             and for all other systemd unit files installed (LP: #1563330).
  * [76ec3b] d/ceph-common.postinst: Silence output of usermod call
             (LP: #1569249).
  * [63d60f] d/rules,ceph-common.install: Ensure that /etc/default/ceph is a


=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: James Page <jamespage@debian.org>,
           Gaudenz Steinlin <gaudenz@debian.org>
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends: cython,
               debhelper (>= 9~),
               default-jdk,
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1~),
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev,
               libboost-dev (>= 1.42),
               libboost-iostreams-dev,
               libboost-program-options-dev (>= 1.42),
               libboost-random-dev,
               libboost-regex-dev,
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
               libkeyutils-dev,
               libldap2-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               lsb-release,
               pkg-config,
               python-all (>= 2.6.6-3~),
               python-dev,
               python-nose,
               python-setuptools,
               python-sphinx,
               uuid-dev,
               uuid-runtime,
               valgrind [amd64 armhf i386 powerpc],
               xfslibs-dev,
               xfsprogs,
               yasm [amd64],
               zlib1g-dev
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends: ceph-mon (= ${binary:Version}),
         ceph-osd (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ${misc:Depends}
Suggests: ceph-mds (= ${binary:Version})
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.

Package: ceph-base
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         gdisk,
         hdparm | sdparm,
         parted,
         uuid-runtime,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: ceph (<< 10.2.2-0ubuntu2~),
        ceph-common (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 10.2.2-0ubuntu2~),
          ceph-common (<< 9.2.0-0ubuntu1~),
          ceph-test (<< 9.2.0-0ubuntu1~),
          python-ceph (<< 0.94.1-1~)
Recommends: libcephfs1,
            librados2,
            libradosstriper1,
            librbd1,
            ntp | time-daemon
Suggests: logrotate
Description: common ceph daemon libraries and management tools
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the libraries and management tools that are common among
 the three Ceph server daemons (ceph-mon, ceph-osd, ceph-mds). These tools are
 necessary for creating, running, and administering a Ceph storage cluster.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ceph daemon for mirroring RBD images
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package provides a daemon for mirroring RBD images between
 Ceph clusters, streaming changes asynchronously.

Package: rbd-nbd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NBD-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 NBD base client that allows one to map Ceph rbd images as local
 block device.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         python-cephfs (= ${binary:Version}),
         python-rados (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: ceph-client-tools
Breaks: ceph (<< 9.2.0-1~),
        ceph-test (<< 9.2.0-1~),
        librbd1 (<< 0.94.1-1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 9.2.0-1~),
          ceph-client-tools,
          ceph-test (<< 9.2.0-1~),
          librbd1 (<< 0.94.1-1~),
          python-ceph (<< 0.94.1-1~)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Breaks: ceph (<< 0.67.3-1)
Replaces: ceph (<< 0.67.3-1)
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mon
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-flask,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Replaces: ceph (<< 10.2.2-0ubuntu2~)
Breaks: ceph (<< 10.2.2-0ubuntu2~)
Description: monitor server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the cluster monitor daemon for the Ceph storage
 system. One or more instances of ceph-mon form a Paxos part-time parliament
 cluster that provides extremely reliable and durable storage of cluster
 membership, configuration, and state.

Package: ceph-osd
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}), ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Pre-Depends: ceph-common (= ${binary:Version})
Replaces: ceph (<< 10.2.2-0ubuntu2~)
Breaks: ceph (<< 10.2.2-0ubuntu2~)
Description: OSD server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the Object Storage Daemon for the Ceph storage system.
 It is responsible for storing objects on a local file system
 and providing access to them over the network.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ceph-common (<< 0.67.3-1)
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker
Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: librados, librados1
Replaces: librados, librados1
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: librados1-dev, librados2-dev
Replaces: librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper-dev
Architecture: linux-any
Section: libdevel
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: RADOS striping interface (development files)
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains development files needed for building applications that
 link against libradosstriper.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS block device client library

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 # Limit parallel builds to 2 for now
 
-# minimise needless linking
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
+# minimise needless linking and link to libatomic
+# The last is needed because long long atomic operations are not directly
+# supported by all processor architectures
+export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed -latomic
 
 # Enable hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -44,6 +46,8 @@
 # Setup max parallel builds based on architecture
 ifeq ($(DEB_HOST_ARCH), arm64)
   maxparallel=1
+else ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  maxparallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
   maxparallel=2
 endif
@@ -51,19 +55,41 @@
 # Use system provided libs3
 extraopts += --with-system-libs3
 
+# Set _FILE_OFFSET_BITS=64 globally. While this is set by the build system
+# through an automake variable, configure does not know about this and thus
+# fails when testing xfs.h on 32bit systems.
+export DEB_CPPFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
+
+# Build fix for mips/mipsel
+# The first two variables work around a compiler bug which leads to virtual
+# memory exhaustion while compiling the testsuite. See Debian bug #849657.
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+  export DEB_CFLAGS_MAINT_APPEND= --param ggc-min-expand=5
+  export DEB_CXXFLAGS_MAINT_APPEND= --param ggc-min-expand=5
+endif
+
 %:
 	dh $@ --with javahelper,python2,autoreconf,systemd --parallel --max-parallel=$(maxparallel)
 
-# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
-DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
-	dh_autoreconf $(DH_AS_NEEDED)
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extraopts)
 
 override_dh_auto_install:
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+	# At least on armel installation of the Python modules fails in weird ways
+	# when run in parallel. As this is probably not specific to armel but just only
+	# triggered there because the architecture is too slow, run without parallelism
+	# everywhere.
+	# On jessie using dh_auto_install without the parallel option should be enough to
+	# get a non-parallel run.
+	dh_auto_install
+
+override_dh_install:
+	# remove .la files, we don't want to install these in Debian,
+	# see Policy 10.2
+	find debian/tmp -name '*.la' -delete
 	# NOTE: manually install python modules to avoid virtualenvs
 	#       during the package build process.
 	set -e; for comp in ceph-detect-init ceph-disk; do \
@@ -75,11 +101,14 @@
 	rm -f $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code/libec_*.so.*
 	find $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code -type l -delete || :
 	install -D -m 644 src/etc-rbdmap $(CURDIR)/debian/tmp/etc/ceph/rbdmap
+	dh_install --list-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
 
 override_dh_installinit:
 	dh_installinit --no-start
-	dh_installinit -pceph-common --name=rbdmap --no-start
-	dh_installinit -pceph-base --name ceph --no-start
+	dh_installinit -pceph-common --no-start --name=rbdmap
 	# install the systemd stuff manually since we have funny service names
 	# and need to update the paths in all of the files post install
 	# systemd:ceph-common
@@ -87,35 +116,39 @@
 	install -m0644 systemd/ceph.target debian/ceph-common/lib/systemd/system
 	install -d -m0755 debian/ceph-common/usr/lib/tmpfiles.d
 	install -m 0644 -D systemd/ceph.tmpfiles.d debian/ceph-common/usr/lib/tmpfiles.d/ceph.conf
-	# systemd:ceph
+	# systemd:ceph-base
 	install -d -m0755 debian/ceph-base/lib/systemd/system
+	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
+	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
+	# systemd:ceph-mon
 	install -d -m0755 debian/ceph-mon/lib/systemd/system
+	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
+	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
+	install -m0644 systemd/ceph-mon.target debian/ceph-mon/lib/systemd/system
+	# systemd:ceph-osd
 	install -d -m0755 debian/ceph-osd/lib/systemd/system
-	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
-	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
 	install -m0644 systemd/ceph-osd@.service debian/ceph-osd/lib/systemd/system
 	install -m0644 systemd/ceph-disk@.service debian/ceph-osd/lib/systemd/system
-	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
-	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-osd@.service
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-disk@.service
-	# NOTE(jamespage): Install previous ceph-mon/create-keys service from packaging for upgrades
-	install -m0644 debian/lib-systemd/system/ceph-mon.service debian/ceph-mon/lib/systemd/system
-	install -m0644 debian/lib-systemd/system/ceph-create-keys.service debian/ceph-base/lib/systemd/system
+	install -m0644 systemd/ceph-osd.target debian/ceph-osd/lib/systemd/system
 	# systemd:ceph-mds
 	install -d -m0755 debian/ceph-mds/lib/systemd/system
 	install -m0644 systemd/ceph-mds@.service debian/ceph-mds/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mds/lib/systemd/system/ceph-mds@.service
-	# NOTE(jamespage): Install previous ceph-mds service from packaging for upgrades
-	install -m0644 debian/lib-systemd/system/ceph-mds.service debian/ceph-mds/lib/systemd/system
+	install -m0644 systemd/ceph-mds.target debian/ceph-mds/lib/systemd/system
 	# systemd:radosgw
 	install -d -m0755 debian/radosgw/lib/systemd/system
 	install -m0644 systemd/ceph-radosgw@.service debian/radosgw/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/radosgw/lib/systemd/system/ceph-radosgw@.service
+	install -m0644 systemd/ceph-radosgw.target debian/radosgw/lib/systemd/system
+	# disable SysV init file for systemd
+	ln -s /dev/null debian/radosgw/lib/systemd/system/radosgw.service
 	# systemd:rbd-mirror
 	install -d -m0755 debian/rbd-mirror/lib/systemd/system
 	install -m0644 systemd/ceph-rbd-mirror@.service debian/rbd-mirror/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/rbd-mirror/lib/systemd/system/ceph-rbd-mirror@.service
+	install -m0644 systemd/ceph-rbd-mirror.target debian/rbd-mirror/lib/systemd/system
 
 override_dh_systemd_enable:
 	## Do not enable services to match `dh_installinit --no-start`
